org.springframework.util

## Enum ConcurrentReferenceHashMap.Restructure

- java.lang.Object
- - java.lang.Enum<ConcurrentReferenceHashMap.Restructure>
  - - org.springframework.util.ConcurrentReferenceHashMap.Restructure

- All Implemented Interfaces:
    Serializable, Comparable<ConcurrentReferenceHashMap.Restructure>
  Enclosing class:
    ConcurrentReferenceHashMap<K,V>

      protected static enum ConcurrentReferenceHashMap.Restructure
      extends Enum<ConcurrentReferenceHashMap.Restructure>

  The types of restructuring that can be performed.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NEVER`
    `WHEN_NECESSARY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConcurrentReferenceHashMap.Restructure` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConcurrentReferenceHashMap.Restructure[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WHEN_NECESSARY

          public static final ConcurrentReferenceHashMap.Restructure WHEN_NECESSARY

    - #### NEVER

          public static final ConcurrentReferenceHashMap.Restructure NEVER

  - ### Method Detail

    - #### values

          public static ConcurrentReferenceHashMap.Restructure[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConcurrentReferenceHashMap.Restructure c : ConcurrentReferenceHashMap.Restructure.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConcurrentReferenceHashMap.Restructure valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null